# SIPSubscribe::NotifyCallbackInfo Struct Reference

`#include <sippdu.h>`

Collaboration diagram for SIPSubscribe::NotifyCallbackInfo:

[legend]

## Public Member Functions

| NotifyCallbackInfo (SIPEndPoint &ep, OpalTransport &trans, SIP_PDU &notify, SIP_PDU &response)
bool | SendResponse (SIP_PDU::StatusCodes status, const char *extra=NULL)

## Data Fields

SIPEndPoint & | m_endpoint
OpalTransport & | m_transport
SIP_PDU & | m_notify
SIP_PDU & | m_response
bool | m_sendResponse

## Constructor & Destructor Documentation

SIPSubscribe::NotifyCallbackInfo::NotifyCallbackInfo | ( | SIPEndPoint & | ep,
|  | OpalTransport & | trans,
|  | SIP_PDU & | notify,
|  | SIP_PDU & | response |
| ) |  |  |

## Member Function Documentation

bool SIPSubscribe::NotifyCallbackInfo::SendResponse | ( | SIP_PDU::StatusCodes | status,
|  | const char * | extra = `NULL` |
| ) |  |  |

## Field Documentation

SIPEndPoint& SIPSubscribe::NotifyCallbackInfo::m_endpoint

SIP_PDU& SIPSubscribe::NotifyCallbackInfo::m_notify

SIP_PDU& SIPSubscribe::NotifyCallbackInfo::m_response

bool SIPSubscribe::NotifyCallbackInfo::m_sendResponse

OpalTransport& SIPSubscribe::NotifyCallbackInfo::m_transport

The documentation for this struct was generated from the following file:

- sippdu.h